Bug 1323176 - python-walkdir: Provide a Python 3 subpackage
Summary: python-walkdir: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-walkdir
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-04-01 12:43 UTC by Tomas Orsava
Modified: 2016-08-27 10:28 UTC (History)
4 users (show)

Fixed In Version: python-walkdir-0.4.1-1.fc26 python-walkdir-0.4.1-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:28:32 UTC


Attachments (Terms of Use)
patch for specfile: add Python 3 & version update (3.61 KB, patch)
2016-06-20 09:12 UTC, Dominika Krejčí
no flags Details | Diff
add Python 3 & version update (3.61 KB, patch)
2016-08-08 08:57 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-04-01 12:43:40 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-06-20 09:12:19 UTC
Created attachment 1169796 [details]
patch for specfile: add Python 3 & version update

Hi,
here is the change needed to add Python 3 support and update to the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14578076

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 2 Jan Kurik 2016-07-26 04:39:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Lumír Balhar 2016-08-02 13:11:39 UTC
Hello Dominika.

Thank you for the patch but it needs to be rebased. Also, you should use %{srcname} in %files section in paths.

Comment 4 Dominika Krejčí 2016-08-08 08:57:36 UTC
Created attachment 1188575 [details]
add Python 3 & version update

Hi Lumír,
there is a new patch.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15171659

Comment 5 Lumír Balhar 2016-08-08 09:26:09 UTC
Patch looks good to me.

Comment 6 Miro Hrončok 2016-08-16 10:54:53 UTC
Kushal,
do you mind if I push this? If you don't reply in a week, I assume it's OK.

Comment 7 kushaldas@gmail.com 2016-08-16 12:20:39 UTC
(In reply to Miro Hrončok from comment #6)
> Kushal,
> do you mind if I push this? If you don't reply in a week, I assume it's OK.

Please go ahead. I somehow managed to screw up my filters, and all bugzilla mails never showed up :(

Comment 8 Miro Hrončok 2016-08-16 13:01:21 UTC
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=15275284

Comment 9 Fedora Update System 2016-08-16 13:31:13 UTC
python-walkdir-0.4.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e2fdf072a

Comment 10 Fedora Update System 2016-08-16 16:25:09 UTC
python-walkdir-0.4.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e2fdf072a

Comment 11 Fedora Update System 2016-08-27 10:28:28 UTC
python-walkdir-0.4.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.